#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library providing ability to interpret and import Corel Draw drawings
Summary(pl.UTF-8):	Biblioteka umożliwiająca interpretowanie i importowanie rysunków Corel Draw
Name:		libcdr
Version:	0.1.8
Release:	1
License:	MPL v2.0
Group:		Libraries
Source0:	https://dev-www.libreoffice.org/src/libcdr/%{name}-%{version}.tar.xz
# Source0-md5:	88fc051d342ecfab8b8d34edb0b30c20
URL:		https://wiki.documentfoundation.org/DLP/Libraries/libcdr
BuildRequires:	doxygen
BuildRequires:	boost-devel >= 1.41.0
BuildRequires:	lcms2-devel >= 2.0
# TODO: libstdc++ 6:7 with libicu >= 75
BuildRequires:	libicu-devel
BuildRequires:	librevenge-devel >= 0.0.1
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	librevenge >= 0.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libcdr is library providing ability to interpret and import Corel Draw
drawings into various applications. You can find it being used in
libreoffice.

%description -l pl.UTF-8
Libcdr to biblioteka umożliwiająca interpretowanie i importowanie
rysunków Corel Draw do wielu aplikacji. Jest wykorzystywana przez
libreoffice.

%package devel
Summary:	Development files for libcdr
Summary(pl.UTF-8):	Pliki nagłówkowe dla libcdr
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	lcms2-devel >= 2.0
Requires:	libicu-devel
Requires:	librevenge-devel >= 0.0.1
Requires:	libstdc++-devel >= 6:4.7
Requires:	zlib-devel

%description devel
This package contains the header files for developing applications
that use libcdr.

%description devel -l pl.UTF-8
Pen pakiet zawiera pliki nagłówkowe do tworzenia aplikacji opartych na
libcdr.

%package static
Summary:	Static libcdr library
Summary(pl.UTF-8):	Statyczna biblioteka libcdr
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libcdr library.

%description static -l pl.UTF-8
Statyczna biblioteka libcdr.

%package apidocs
Summary:	libcdr API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libcdr
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for libcdr library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libcdr.

%package tools
Summary:	Tools to transform Corel Draw drawings into other formats
Summary(pl.UTF-8):	Programy przekształcania rysunków Corel Draw do innych formatów
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Corel Draw drawings into other formats. Currently
supported: XHTML, raw.

%description tools -l pl.UTF-8
Narzędzia do przekształcania rysunków Corel Draw do innych formatów.
Aktualnie obsługiwane są XHTML i raw.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-tests \
	%{?with_static_libs:--enable-static}

%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libcdr-0.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcdr-0.1.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcdr-0.1.so
%{_includedir}/libcdr-0.1
%{_pkgconfigdir}/libcdr-0.1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcdr-0.1.a
%endif

%files apidocs
%defattr(644,root,root,755)
%{_docdir}/%{name}

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cdr2raw
%attr(755,root,root) %{_bindir}/cdr2xhtml
%attr(755,root,root) %{_bindir}/cdr2text
%attr(755,root,root) %{_bindir}/cmx2raw
%attr(755,root,root) %{_bindir}/cmx2xhtml
%attr(755,root,root) %{_bindir}/cmx2text
%changelog
* Fri Nov 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libcdr.git;a=log;h=master

* Fri Nov 29 2024 Jakub Bogusz <qboosh@pld-linux.org> e20d564
- updated to 0.1.8

* Fri Jun 30 2023 Jan Palus <atler@pld-linux.org> 70a3b02
- icu rebuild

* Thu Feb 16 2023 Jan Palus <atler@pld-linux.org> 8b91218
- icu rebuild

* Sun Jun 05 2022 Jan Palus <atler@pld-linux.org> f580006
- disable tests

* Fri Jun 03 2022 Jan Palus <atler@pld-linux.org> dd6e79b
- icu rebuild

* Sun Jan 16 2022 Jan Palus <atler@pld-linux.org> c855427
- icu rebuild

* Mon Aug 09 2021 Jan Palus <atler@pld-linux.org> a93fc72
- icu rebuild

* Wed Mar 31 2021 Jakub Bogusz <qboosh@pld-linux.org> 224a4e6
- updated to 0.1.7

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 920038b
- unconditional noarch subpackages

* Wed Jul 01 2020 Jan Palus <atler@pld-linux.org> 85f2248
- icu 67 rebuild
- release 2 (by relup.sh)

* Thu May 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 796c1a2
- updated to 0.1.6

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> a6c904a
- rebuild with icu 65
- release 3 (by relup.sh)

* Sun Apr 14 2019 Adam Gołębiowski <adamg@pld-linux.org> 0af9fbd
- release 2, rebuild against icu 64

* Sun Dec 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 1bae4a5
- updated to 0.1.5

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> c8b0b0e
- C++11 is required now

* Thu May 24 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 352d024
- up to 0.1.4

* Sun Apr 23 2017 Jan Rękorajski <baggins@pld-linux.org> 6c3f028
- release 3 (by relup.sh)

* Fri Mar 10 2017 Jan Rękorajski <baggins@pld-linux.org> 6ac09cf
- rebuild with icu 58.2
- release 2 (by relup.sh)

* Tue Aug 30 2016 Jakub Bogusz <qboosh@pld-linux.org> 9515ff7
- updated to 0.1.3

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> c234146
- icu-57.1 rebuild
- release 2 (by relup.sh)

